import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { DevopsSwitchPartitionAutotest } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 14:05
 */
interface DevopsSwitchPartitionAutotestCU extends ConditionUtil<DevopsSwitchPartitionAutotestCU>{
    ID:FieldUtil<DevopsSwitchPartitionAutotestCU>;
    PARTITION_NAME:FieldUtil<DevopsSwitchPartitionAutotestCU>;
    PARTITION_CODE:FieldUtil<DevopsSwitchPartitionAutotestCU>;
    CREATE_TIME:FieldUtil<DevopsSwitchPartitionAutotestCU>;
    UPDATE_TIME:FieldUtil<DevopsSwitchPartitionAutotestCU>;
    PARTITION_STATUS:FieldUtil<DevopsSwitchPartitionAutotestCU>;
}

class DevopsSwitchPartitionAutotestCUImpl extends ConditionUtilImpl<DevopsSwitchPartitionAutotestCUImpl> implements DevopsSwitchPartitionAutotestCU{ 
    newInstance(): DevopsSwitchPartitionAutotestCUImpl {
        return new DevopsSwitchPartitionAutotestCUImpl();
    } 
    get ID(): FieldUtil<DevopsSwitchPartitionAutotestCU>{  
        return new FieldUtil('id','id','', this);
    }
    get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{  
        return new FieldUtil('partition_name','partitionName','分区名称', this);
    }
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionAutotestCU>{  
        return new FieldUtil('partition_code','partitionCode','分区编码', this);
    }
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{  
        return new FieldUtil('create_time','createTime','', this);
    }
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{  
        return new FieldUtil('update_time','updateTime','', this);
    }
    get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionAutotestCU>{  
        return new FieldUtil('partition_status','partitionStatus','分区状态：0-关闭，1-开启', this);
    }
}

@Singleton 
class DevopsSwitchPartitionAutotestMU extends TableUtilImpl<DevopsSwitchPartitionAutotestCU,DevopsSwitchPartitionAutotest>{ 
    tableName  = 'devops_switch_partition_autotest';
    tableFields  = ['id','partition_name','partition_code','create_time','update_time','partition_status'];
    modelFields  = ['id','partitionName','partitionCode','createTime','updateTime','partitionStatus'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): DevopsSwitchPartitionAutotestCU {
        return new DevopsSwitchPartitionAutotestCUImpl();
    }   

    static get ID(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return new FieldUtil('id','id','', new DevopsSwitchPartitionAutotestCUImpl());
    }
    static get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return new FieldUtil('partition_name','partitionName','分区名称', new DevopsSwitchPartitionAutotestCUImpl());
    }
    static get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return new FieldUtil('partition_code','partitionCode','分区编码', new DevopsSwitchPartitionAutotestCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return new FieldUtil('create_time','createTime','', new DevopsSwitchPartitionAutotestCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return new FieldUtil('update_time','updateTime','', new DevopsSwitchPartitionAutotestCUImpl());
    }
    static get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return new FieldUtil('partition_status','partitionStatus','分区状态：0-关闭，1-开启', new DevopsSwitchPartitionAutotestCUImpl());
    }

    get ID(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return DevopsSwitchPartitionAutotestMU.ID;
    }
    get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return DevopsSwitchPartitionAutotestMU.PARTITION_NAME;
    }
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return DevopsSwitchPartitionAutotestMU.PARTITION_CODE;
    }
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return DevopsSwitchPartitionAutotestMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return DevopsSwitchPartitionAutotestMU.UPDATE_TIME;
    }
    get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionAutotestCU>{ 
        return DevopsSwitchPartitionAutotestMU.PARTITION_STATUS;
    }
}
export {DevopsSwitchPartitionAutotestMU, DevopsSwitchPartitionAutotestCU}
